Bulk Export
Generate Export
Request on-demand tweet export for a date range.
POST
/
twitter
/
v1
/
bulk-export
/
exports
/
generate
Generate Export
curl --request POST \
--url https://api.openbits.ai/twitter/v1/bulk-export/exports/generate \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"startDate": "<string>",
"endDate": "<string>"
}
'import requests
url = "https://api.openbits.ai/twitter/v1/bulk-export/exports/generate"
payload = {
"startDate": "<string>",
"endDate": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({startDate: '<string>', endDate: '<string>'})
};
fetch('https://api.openbits.ai/twitter/v1/bulk-export/exports/generate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {},
"meta": {
"requestId": "clxyz123abc",
"cached": false
}
}
Cost: 0 credits per call
Parameters
Request Body
string
required
Start of the date range (ISO 8601 datetime).
string
required
End of the date range (ISO 8601 datetime). Max 24h span.
Response
object
Response data.
object
{
"data": {},
"meta": {
"requestId": "clxyz123abc",
"cached": false
}
}
Was this page helpful?
⌘I
Generate Export
